Name:           libmatecomponent
Version:        1.4.0
Release:        14%{?dist}
Summary:        Libraries for matecomponent package of MATE-Desktop
License:        LGPLv2+ and GPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

BuildRequires:  byacc
BuildRequires:  flex
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  mate-common
BuildRequires:  pkgconfig(MateCORBA-2.0)
BuildRequires:  popt-devel

Provides:       libmatecomponent-activation%{?_isa} = %{version}-%{release}
Provides:       libmatecomponent-activation = %{version}-%{release}

Patch0:         libmatecomponent-multishlib.patch

# momentary lapse of reason introducing a -libs subpkg here, sorry -- rex
Obsoletes: libmatecomponent-libs < 1.4.0-13
Provides:  libmatecomponent-libs = %{version}-%{release}
Provides:  libmatecomponent-libs%{?_isa} = %{version}-%{release}

%description
Libraries for matecomponent package of MATE-Desktop

%package devel
Summary:        Development libraries for libmatecomponent
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       libmatecomponent-activation-devel%{?_isa} = %{version}-%{release}
Provides:       libmatecomponent-activation-devel = %{version}-%{release}

%description devel
Development libraries and includes for libmatecomponent.

%prep
%setup -q
%patch0 -p1 -b .multishlib
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1


%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

for serverfile in %{buildroot}%{_libdir}/matecomponent/servers/*.server; do
    sed -i -e 's|location *= *"/usr/lib\(64\)*/|location="/usr/$LIB/|' $serverfile
done

#required for multilib installs /usr/lib/matecomponent/servers
mkdir -p %{buildroot}%{_prefix}/lib/matecomponent/servers

%find_lang %{name}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%doc AUTHORS COPYING README
%config(noreplace) /etc/matecomponent-activation/matecomponent-activation-config.xml
%{_bindir}/matecomponent-activation-client
%{_bindir}/matecomponent-activation-run-query
%{_bindir}/matecomponent-echo-client-2
%{_bindir}/matecomponent-slay
%{_sbindir}/matecomponent-activation-sysconf
%{_libexecdir}/matecomponent-activation-server
%{_datadir}/man/man1/*
%{_datadir}/idl/matecomponent-2.0/
%{_datadir}/idl/matecomponent-activation-2.0/
%{_libdir}/libmatecomponent-2.so.0*
%{_libdir}/libmatecomponent-activation.so.4*
%{_libdir}/matecomponent-2.0/
%{_libdir}/matecomponent/
%dir %{_prefix}/lib/matecomponent/
%dir %{_prefix}/lib/matecomponent/servers/
%{_libdir}/matecorba-2.0/MateComponent_module.so

%files devel
%{_libdir}/libmatecomponent-2.so
%{_libdir}/pkgconfig/libmatecomponent-2.0.pc
%{_libdir}/pkgconfig/matecomponent-activation-2.0.pc
%{_libdir}/libmatecomponent-activation.so
%{_includedir}/libmatecomponent-2.0/
%{_includedir}/matecomponent-activation-2.0/
%{_datadir}/gtk-doc/html/libmatecomponent/
%{_datadir}/gtk-doc/html/matecomponent-activation/


%changelog
* Tue Oct 23 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-14
- Change build requires style

* Tue Aug 14 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4.0-13
- drop needless -libs subpkg

* Tue Aug 14 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-12
- fix provides

* Tue Aug 14 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-11
- add provide libmatecomponent-activation for future mate apps

* Tue Aug 14 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-10
- add libmatecomponent-multishlib.patch, this will own the directory
- /usr/lib/matecomponent/servers for libmatecomponent server files from
- i686 applications for x86_64 systems.
- fix url

* Mon Aug 13 2012 Rex Dieter <rdieter@fedoraproject.org> - 1.4.0-9
- fix subpkg deps
- move gtk-doc stuff to -devel
- fix some dir ownership
- drop Group: tag

* Sun Aug 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-8
- Temporarily remove noarch tag, add missing files to libs package.

* Fri Aug 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-7
- Remove extra post macros that were not needed.

* Fri Aug 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-6
- Move shared libs to libs package and all dev files to devel package.

* Fri Aug 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-5
- Fix files section to own the proper directories.

* Fri Aug 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-4
- Clean up spec file, and bump release version.

* Wed Aug 08 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Update build requirements.

* Sat Jul 14 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Switch back to pristine source

* Thu Jul 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
-Initial build
